
----------------------------------------------------------------------------
--# GtkFixed: deprecated 
----------------------------------------------------------------------------

include GtkEngine.e

constant note = `This looks bad - on purpose!
You should only use fixed layouts for special cases,
<b><i>not</i></b> for designing normal windows.
It's unfriendly to users who may want to resize windows, 
or who need a different font size, etc...`

constant win = create(GtkWindow,
    "background=skyblue,border_width=10,size=300x300,position=1,$destroy=Quit")

constant panel = create(GtkLayout,"size=300x300")
    add(win,panel)

constant lbl1 = create(GtkImage,"thumbnails/jeff.jpg")
    set(panel,"put",lbl1,10,10)


constant btn1 = create(GtkButton,"gtk-help",_("Foo"))
    set(panel,"put",btn1,25,5)

constant btn2 = create(GtkButton,"gtk-quit","Quit")
    set(panel,"put",btn2,32,30)

constant sizer = create(GtkSizeGroup,{
    {"mode",GTK_SIZE_GROUP_BOTH},
    {"add widget",btn1},
    {"add widget",btn2}})

show_all(win)
main()

--------------------------------------------------
function Foo()
--------------------------------------------------
    Info(win,"OK","<u>GtkLayout</u>",note)
return 1
end function
